Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class ViewBox.ViewHandler

    java.lang.Object
      org.apache.batik.parser.AWTTransformProducer
          org.apache.batik.bridge.ViewBox.ViewHandler

All Implemented Interfaces:
  FragmentIdentifierHandler, PreserveAspectRatioHandler, TransformListHandler

Enclosing class:
  ViewBox

    protected static class ViewBox.ViewHandler

extends AWTTransformProducer
implements FragmentIdentifierHandler

This class can be used to store the value of the attribute viewBox or can also be used to store the various attribute value that can be specified on a SVG URI fragments.

Field Summary
`short` | `align`
`boolean` | `hasId`
`boolean` | `hasPreserveAspectRatio`
`boolean` | `hasTransform`
`boolean` | `hasViewBox`
`boolean` | `hasViewTargetParams`
`boolean` | `hasZoomAndPanParams`
`String` | `id`
`boolean` | `isMagnify`
`boolean` | `meet`
`float[]` | `viewBox`
`String` | `viewTargetParams`

Fields inherited from class org.apache.batik.parser.AWTTransformProducer
`affineTransform`

Constructor Summary
`protected` | `ViewBox.ViewHandler()` Constructs a new `ViewHandler` instance.

Method Summary
`void` | `endFragmentIdentifier()` Invoked when the fragment identifier ends.
`void` | `endPreserveAspectRatio()` Invoked when the PreserveAspectRatio parsing ends.
`void` | `endTransformList()` Implements `TransformListHandler.endTransformList()`.
`void` | `endViewTarget()` Invoked when a view target specification ends.
`void` | `idReference(String s)` Invoked when an ID has been parsed.
`void` | `meet()` Invoked when 'meet' has been parsed.
`void` | `none()` Invoked when 'none' been parsed.
`void` | `slice()` Invoked when 'slice' has been parsed.
`void` | `startFragmentIdentifier()` Invoked when the fragment identifier starts.
`void` | `startPreserveAspectRatio()` Invoked when the PreserveAspectRatio parsing starts.
`void` | `startViewTarget()` Invoked when a view target specification starts.
`void` | `viewBox(float x, float y, float width, float height)` Invoked when 'viewBox(x,y,width,height)' has been parsed.
`void` | `viewTarget(String name)` Invoked when a identifier has been parsed within a view target specification.
`void` | `xMaxYMax()` Invoked when 'xMaxYMax' has been parsed.
`void` | `xMaxYMid()` Invoked when 'xMaxYMid' has been parsed.
`void` | `xMaxYMin()` Invoked when 'xMaxYMin' has been parsed.
`void` | `xMidYMax()` Invoked when 'xMidYMax' has been parsed.
`void` | `xMidYMid()` Invoked when 'xMidYMid' has been parsed.
`void` | `xMidYMin()` Invoked when 'xMidYMin' has been parsed.
`void` | `xMinYMax()` Invoked when 'xMinYMax' has been parsed.
`void` | `xMinYMid()` Invoked when 'xMinYMid' has been parsed.
`void` | `xMinYMin()` Invoked when 'xMinYMin' has been parsed.
`void` | `zoomAndPan(boolean magnify)` Invoked when a 'zoomAndPan' specification has been parsed.

Methods inherited from class org.apache.batik.parser.AWTTransformProducer
`createAffineTransform, createAffineTransform, getAffineTransform, matrix, rotate, rotate, scale, scale, skewX, skewY, startTransformList, translate, translate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.parser.TransformListHandler
`matrix, rotate, rotate, scale, scale, skewX, skewY, startTransformList, translate, translate`

Field Detail

### hasTransform

    public boolean hasTransform

### hasId

    public boolean hasId

### hasViewBox

    public boolean hasViewBox

### hasViewTargetParams

    public boolean hasViewTargetParams

### hasZoomAndPanParams

    public boolean hasZoomAndPanParams

### id

    public String id

### viewBox

    public float[] viewBox

### viewTargetParams

    public String viewTargetParams

### isMagnify

    public boolean isMagnify

### hasPreserveAspectRatio

    public boolean hasPreserveAspectRatio

### align

    public short align

### meet

    public boolean meet

Constructor Detail

### ViewBox.ViewHandler

    protected ViewBox.ViewHandler()

  Constructs a new `ViewHandler` instance.

Method Detail

### endTransformList

    public void endTransformList()
                          throws ParseException

  Description copied from class: `AWTTransformProducer`
  Implements `TransformListHandler.endTransformList()`.

  Specified by:
    `endTransformList` in interface `TransformListHandler`
  Overrides:
    `endTransformList` in class `AWTTransformProducer`
  Throws:
    `ParseException` - if an error occured while processing the transform

### startFragmentIdentifier

    public void startFragmentIdentifier()
                                 throws ParseException

  Invoked when the fragment identifier starts.

  Specified by:
    `startFragmentIdentifier` in interface `FragmentIdentifierHandler`
  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

### idReference

    public void idReference(String s)
                     throws ParseException

  Invoked when an ID has been parsed.

  Specified by:
    `idReference` in interface `FragmentIdentifierHandler`
  Parameters:
    `s` - The string that represents the parsed ID.
  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

### viewBox

    public void viewBox(float x,
                        float y,
                        float width,
                        float height)
                 throws ParseException

  Invoked when 'viewBox(x,y,width,height)' has been parsed.

  Specified by:
    `viewBox` in interface `FragmentIdentifierHandler`
  Parameters:
    `x` - the viewbox x coordinate
    `y` - the viewbox y coordinate
    `width` - the viewbox width
    `height` - the viewbox height
  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

### startViewTarget

    public void startViewTarget()
                         throws ParseException

  Invoked when a view target specification starts.

  Specified by:
    `startViewTarget` in interface `FragmentIdentifierHandler`
  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

### viewTarget

    public void viewTarget(String name)
                    throws ParseException

  Invoked when a identifier has been parsed within a view target specification.

  Specified by:
    `viewTarget` in interface `FragmentIdentifierHandler`
  Parameters:
    `name` - the target name.
  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

### endViewTarget

    public void endViewTarget()
                       throws ParseException

  Invoked when a view target specification ends.

  Specified by:
    `endViewTarget` in interface `FragmentIdentifierHandler`
  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

### zoomAndPan

    public void zoomAndPan(boolean magnify)

  Invoked when a 'zoomAndPan' specification has been parsed.

  Specified by:
    `zoomAndPan` in interface `FragmentIdentifierHandler`
  Parameters:
    `magnify` - true if 'magnify' has been parsed.
  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

### endFragmentIdentifier

    public void endFragmentIdentifier()
                               throws ParseException

  Invoked when the fragment identifier ends.

  Specified by:
    `endFragmentIdentifier` in interface `FragmentIdentifierHandler`
  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

### startPreserveAspectRatio

    public void startPreserveAspectRatio()
                                  throws ParseException

  Invoked when the PreserveAspectRatio parsing starts.

  Specified by:
    `startPreserveAspectRatio` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### none

    public void none()
              throws ParseException

  Invoked when 'none' been parsed.

  Specified by:
    `none` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### xMaxYMax

    public void xMaxYMax()
                  throws ParseException

  Invoked when 'xMaxYMax' has been parsed.

  Specified by:
    `xMaxYMax` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### xMaxYMid

    public void xMaxYMid()
                  throws ParseException

  Invoked when 'xMaxYMid' has been parsed.

  Specified by:
    `xMaxYMid` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### xMaxYMin

    public void xMaxYMin()
                  throws ParseException

  Invoked when 'xMaxYMin' has been parsed.

  Specified by:
    `xMaxYMin` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### xMidYMax

    public void xMidYMax()
                  throws ParseException

  Invoked when 'xMidYMax' has been parsed.

  Specified by:
    `xMidYMax` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### xMidYMid

    public void xMidYMid()
                  throws ParseException

  Invoked when 'xMidYMid' has been parsed.

  Specified by:
    `xMidYMid` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### xMidYMin

    public void xMidYMin()
                  throws ParseException

  Invoked when 'xMidYMin' has been parsed.

  Specified by:
    `xMidYMin` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### xMinYMax

    public void xMinYMax()
                  throws ParseException

  Invoked when 'xMinYMax' has been parsed.

  Specified by:
    `xMinYMax` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### xMinYMid

    public void xMinYMid()
                  throws ParseException

  Invoked when 'xMinYMid' has been parsed.

  Specified by:
    `xMinYMid` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### xMinYMin

    public void xMinYMin()
                  throws ParseException

  Invoked when 'xMinYMin' has been parsed.

  Specified by:
    `xMinYMin` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### meet

    public void meet()
              throws ParseException

  Invoked when 'meet' has been parsed.

  Specified by:
    `meet` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### slice

    public void slice()
               throws ParseException

  Invoked when 'slice' has been parsed.

  Specified by:
    `slice` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### endPreserveAspectRatio

    public void endPreserveAspectRatio()
                                throws ParseException

  Invoked when the PreserveAspectRatio parsing ends.

  Specified by:
    `endPreserveAspectRatio` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.